#/bin/sh
#
# This script installs both parallel driver & usb daemon.
#

#
# global variables 
#
choice=0

#
# ask : Function that asks the input.
#
ask()
{
    echo "-------------------------------------------------------------------------------"
    echo "This script will install Sentinel Parallel driver and/or USB daemon."
    echo "   1 : Parallel Driver Only."
    echo "   2 : USB Daemon Only."
    echo "   3 : Parallel Driver and USB Daemon both."
    echo -n "Please enter your choice: "
    read choice
    echo "-------------------------------------------------------------------------------"
}

un_install() {
    pkg1=`rpm -q rbdr |cut -b 1`
    if [ $pkg1 == 'r' ]
    then 
     echo "Un-installing the <Previous> version of parallel driver..."
     rpm -e rbdr
     RETVAL=$?
     if [ $RETVAL = 255 ]; then 
	echo "WARNING:To Uninstall this software make sure you have Super user (root) permission."
    fi	
    echo "-------------------------------------------------------------------------------"
    fi 
    pkg2=`rpm -q SUD-ParallelDriver-RH9 |cut -b 1`
    if [ $pkg2 == 'S' ]
    then 
     echo "Un-installing the existing version of parallel driver..."
     rpm -e SUD-ParallelDriver-RH9
     RETVAL=$?
     if [ $RETVAL = 255 ]; then 
	echo "WARNING:To Uninstall this software make sure you have Super user (root) permission."
    fi	 
    echo "-------------------------------------------------------------------------------"
    fi 
}

showlicense()
{
if [ $LicenseSHOW == 0 ]    
then
    #LicAgrmntFound indicates whether LicenseAgreement.txt file present or not
    # value 0 (zero) indicates, its not present, 1 (one) indicates its present.
    #Initially we assume LicenseAgreement.txt is not present.
    LicAgrmntFound=0

    echo $line
    [ -f $LicensePATH1/LicenseAgreement.txt ] 
    if [ $? == 0 ] 
    then
        LicAgrmntFound=1
        LicensePATH=$LicensePATH1
    fi

    [ -f $LicensePATH2/LicenseAgreement.txt ]
    if [ $? == 0 ]
    then
        LicAgrmntFound=1
        LicensePATH=$LicensePATH2
    fi

    if [ $LicAgrmntFound == 1 ]
    then
	more $LicensePATH/LicenseAgreement.txt
	echo -n "Do you Agree with the License(y/n): "
	read choice
	case $choice in 
	    'y') 
		;;
	    'Y') 
		;;
	    *)  	echo "-------------------------------------------------------------------------------"
		exit
		;;
	esac	  
    else
	echo "\"LicenseAgreement.txt\" file missing."
	echo $line
	exit
    fi
fi
}
	

#
# Loop while user doesn't enter a valid choice
#
LicensePATH1=.
LicensePATH2=..
LicenseSHOW=${#LicenseSHOW}
showlicense
choice=0
while [ $choice -le 0 -o $choice -gt 3 ]
do
    ask
    if [ -z $choice ]
    then
        choice=0
	echo "Please enter choice between 1 and 3."
    elif [ $choice = 1 ]
	then
	    un_install
	    rpm -i SUD-ParallelDriver-RH9*.rpm
	    RETVAL=$?
	    if [ $RETVAL = 1 ]; then 
		echo "WARNING:To Install this software make sure you have Super user (root) permission."
	    fi	
	    break
    elif [ $choice = 2 ]
    then
	rpm -i --force SUD-USBDaemon-RH9*.rpm
	RETVAL=$?
	if [ $RETVAL = 1 ]; then 
	    echo "WARNING:To Install this software make sure you have Super user (root) permission."
	fi	
	break
    elif [ $choice = 3 ]
    then
	un_install
	rpm -i SUD-ParallelDriver-RH9*.rpm
	RETVAL=$?
	if [ $RETVAL = 1 ]; then 
	    echo "WARNING:To Install this software make sure you have Super user (root) permission."
	fi	
	echo "-------------------------------------------------------------------------------"
	rpm -i --force SUD-USBDaemon-RH9*.rpm
	RETVAL=$?
	if [ $RETVAL = 1 ]; then 
	    echo "WARNING:To Install this software make sure you have Super user (root) permission."
	fi	
	break
    else
	echo "Please enter choice between 1 and 3."
    fi
   choice=0
done
    echo "-------------------------------------------------------------------------------"





